GLM_GTX_color_encoding
Experimental extensions

Allow to perform bit operations on integer values. More...

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertD65XYZToD50XYZ (vec< 3, T, Q > const &ColorD65XYZ)
| Convert a D65 YUV color to D50 YUV.
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertD65XYZToLinearSRGB (vec< 3, T, Q > const &ColorD65XYZ)
| Convert a D65 YUV color to linear sRGB.
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertLinearSRGBToD50XYZ (vec< 3, T, Q > const &ColorLinearSRGB)
| Convert a linear sRGB color to D50 YUV.
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertLinearSRGBToD65XYZ (vec< 3, T, Q > const &ColorLinearSRGB)
| Convert a linear sRGB color to D65 YUV.

## Detailed Description

Allow to perform bit operations on integer values.

Include <glm/gtx/color_encoding.hpp> to use the features of this extension.